Page MenuHomePhabricator

HomepageModule events with validation errors
Closed, ResolvedPublic

Event Timeline

Ottomata created this task.Jan 27 2021, 5:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2021, 5:12 PM

Change 660872 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[schemas/event/secondary@master] homepagemodule: Add missing "enabled" state

https://gerrit.wikimedia.org/r/660872

Change 660874 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] GrowthExperiments: Bump schema version for homepagemodule

https://gerrit.wikimedia.org/r/660874

Change 660907 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Banner module: Switch to using activate/unactivated for state

https://gerrit.wikimedia.org/r/660907

Change 660874 abandoned by Kosta Harlan:
[operations/mediawiki-config@master] GrowthExperiments: Bump schema version for homepagemodule

Reason:
See Ia66be5fb6853a6d169c1fe41380d7b42cb5acdbc

https://gerrit.wikimedia.org/r/660874

Change 660872 abandoned by Kosta Harlan:
[schemas/event/secondary@master] homepagemodule: Add missing "enabled" state

Reason:
See Ia66be5fb6853a6d169c1fe41380d7b42cb5acdbc

https://gerrit.wikimedia.org/r/660872

Change 660926 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@wmf/1.36.0-wmf.28] Banner module: Switch to using activated/unactivated for state

https://gerrit.wikimedia.org/r/660926

Change 660926 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.36.0-wmf.28] Banner module: Switch to using activated/unactivated for state

https://gerrit.wikimedia.org/r/660926

Mentioned in SAL (#wikimedia-operations) [2021-02-01T19:38:59Z] <urbanecm@deploy1001> Synchronized php-1.36.0-wmf.28/extensions/GrowthExperiments/includes/HomepageModules/Banner.php: d39746aa3ed07dfa9173a98d253c61771d5592a1: Banner module: Switch to using activated/unactivated for state (T273084) (duration: 01m 05s)

Change 660907 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Banner module: Switch to using activated/unactivated for state

https://gerrit.wikimedia.org/r/660907

Change 661086 had a related patch set uploaded (by Urbanecm; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@wmf/1.36.0-wmf.27] Banner module: Switch to using activated/unactivated for state

https://gerrit.wikimedia.org/r/661086

Change 661086 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.36.0-wmf.27] Banner module: Switch to using activated/unactivated for state

https://gerrit.wikimedia.org/r/661086

Mentioned in SAL (#wikimedia-operations) [2021-02-02T12:20:38Z] <urbanecm@deploy1001> Synchronized php-1.36.0-wmf.27/extensions/GrowthExperiments/includes/HomepageModules/Banner.php: da8f328640ca5c46385a57e706cd76614bbfdc7a: Banner module: Switch to using activated/unactivated for state (T273084) (duration: 00m 58s)

Checked in wmf.30 (along with T273700) - the errors are not present.

Etonkovidova closed this task as Resolved.Tue, Feb 16, 10:55 PM